Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class TVector3d

    java.lang.Object
      javax.vecmath.Tuple3d
          javax.vecmath.Vector3d
              de.grogra.math.TVector3d

All Implemented Interfaces:
  Transform3D, Manageable, java.io.Serializable, java.lang.Cloneable

    public final class TVector3d

extends Vector3d
implements Transform3D

A `TVector3d` is a `Vector3d` which implements the interface `Transform3D`. It represents a coordinate translation.

Author:
  Ole Kniemeyer
See Also:
  Serialized Form

Field Summary
`static ManageableType` | `$TYPE`

Fields inherited from class javax.vecmath.Tuple3d
`x, y, z`

Constructor Summary
`TVector3d()`
`TVector3d(double x, double y, double z)`
`TVector3d(Tuple3d t)`

Method Summary
`java.lang.Object` | `clone()`
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`ManageableType` | `getManageableType()`
`int` | `getStamp()` Returns a stamp for this object.
`Manageable` | `manageableReadResolve()`
`java.lang.Object` | `manageableWriteReplace()`
`void` | `transform(Matrix4d in, Matrix4d out)` This methods performs a local coordinate transformation.

Methods inherited from class javax.vecmath.Vector3d
`angle, cross, dot, length, lengthSquared, normalize, normalize`

Methods inherited from class javax.vecmath.Tuple3d
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, epsilonEquals, equals, equals, get, get, hashCode, interpolate, interpolate, max, min, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### $TYPE

    public static final ManageableType $TYPE

Constructor Detail

### TVector3d

    public TVector3d()

### TVector3d

    public TVector3d(double x,
                     double y,
                     double z)

### TVector3d

    @ConversionConstructor
    public TVector3d(Tuple3d t)

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Vector3d`

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getStamp

    public int getStamp()

  Description copied from interface: `Manageable`
  Returns a stamp for this object. Each modification to this object increments the stamp. The initial stamp is non-negative.

  Specified by:
    `getStamp` in interface `Manageable`
  Returns:
    a stamp

### manageableReadResolve

    public Manageable manageableReadResolve()

  Specified by:
    `manageableReadResolve` in interface `Manageable`

### manageableWriteReplace

    public java.lang.Object manageableWriteReplace()

  Specified by:
    `manageableWriteReplace` in interface `Manageable`

### transform

    public void transform(Matrix4d in,
                          Matrix4d out)

  Description copied from interface: `Transform3D`
  This methods performs a local coordinate transformation.

  Specified by:
    `transform` in interface `Transform3D`
  Parameters:
    `in` - the transformation matrix of the coordinate system of the parent
    `out` - the computed transformation is placed in here. May be the same reference as `in`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD